Bug 14820 - SMSSendUsername and SMSSendPassword are not listed in the system preferences
Summary: SMSSendUsername and SMSSendPassword are not listed in the system preferences
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-14 17:25 UTC by Kyle M Hall
Modified: 2016-06-21 21:38 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14820: Add missing prefs SMSSendUsername and SMSSendPassword (3.21 KB, patch)
2015-09-15 09:38 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14820: Add missing prefs SMSSendUsername and SMSSendPassword (3.30 KB, patch)
2015-09-18 14:54 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[PASSED QA] Bug 14820: Add missing prefs SMSSendUsername and SMSSendPassword (3.33 KB, patch)
2015-09-29 21:10 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2015-09-14 17:25:31 UTC
Although SMSSendDriver is listed in the system preferences, neither SMSSendUsername not SMSSendPassword are even though they are used to pass the username and password to the driver!
Comment 1 Katrin Fischer 2015-09-14 19:46:56 UTC
Hi Kyle, I found 2 related bugs: bug 10784 and 13029.
Comment 2 Jonathan Druart 2015-09-15 09:38:34 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2015-09-18 14:54:29 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2015-09-29 21:10:18 UTC
Created attachment 42962 [details] [review]
[PASSED QA] Bug 14820: Add missing prefs SMSSendUsername and SMSSendPassword

These 2 system preferences are missing from the sysprefs.sql file.

Test plan:
Execute the updatedatabase script and confirm that the 2 prefs are now
in the systempreferences table.
Search for "sms" in the system preferences search box, you should see
the 3 prefs.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Tomás Cohen Arazi 2015-10-02 17:37:57 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 6 Chris Cormack 2015-10-23 08:01:36 UTC
Pushed to 3.20.x will be in 3.20.5
Comment 7 Liz Rea 2015-11-02 21:03:24 UTC
Pushed to 3.18.x, is in 3.18.12.
Comment 8 Jonathan Druart 2015-11-06 10:03:06 UTC
Liz, there is a problem when you have fixed the conflict on

commit 6bc08252b4753b31cd73558bf492c03294a83592
    Bug 14820: DBRev 3.18.11.001

You have taken the "DEVELOPER PROCESS" part, which is not in 3.18.x yet. So now 2 sql atomicupdate files are executed (oai_sets.sql and hourlyloans.sql).